Search Profiles
curl --request POST \
--url https://api.linkupapi.com/v1/data/search/profiles \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"keyword": "<string>",
"job_title": {},
"industry": {},
"school": {},
"location": {},
"current_company": {},
"total_results": 123
}
'import requests
url = "https://api.linkupapi.com/v1/data/search/profiles"
payload = {
"keyword": "<string>",
"job_title": {},
"industry": {},
"school": {},
"location": {},
"current_company": {},
"total_results": 123
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyword: '<string>',
job_title: {},
industry: {},
school: {},
location: {},
current_company: {},
total_results: 123
})
};
fetch('https://api.linkupapi.com/v1/data/search/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"total_results": 1523,
"profiles": [
{
"url": "https://www.linkedin.com/in/johnperez",
"title": "John M P. - CRM Experts Online - LinkedIn",
"description": "As the founder of CRM Experts Online, I leverage my 19+ years of experience in enterprise… · Experience: CRM Experts Online · Education: New York College Of ..."
},
{
"url": "https://www.linkedin.com/in/brentleary",
"title": "Brent Leary - CRM Essentials - LinkedIn",
"description": "Brent Leary is Co-founder and Partner of CRM Essentials LLC, a CRM consulting/advisory… · Experience: CRM Essentials · Location: Stockbridge · 500+ ..."
},
{
"url": "https://www.linkedin.com/in/jsrosenth",
"title": "Jeff Rosenthal - Head of CRM GTM, North America - monday.com",
"description": "I lead GTM for an emerging portfolio of CRM & AI products at monday.com. Deep expertise in CRM & AI GTM as a trusted advisor to global go to market, sales, ..."
}
]
}
}
Web Crawler API
Search Profiles
Search LinkedIn profiles with multiple criteria
POST
/
v1
/
data
/
search
/
profiles
Search Profiles
Description
This endpoint allows you to search LinkedIn profiles using different search criteria.Credit Usage: 1 credit per 10 results (or fraction thereof). For example:
- 1-10 results = 1 credit
- 11-20 results = 2 credits
- 300 results = 30 credits
Need full profile enrichment? Use the Profile Info endpoint to get complete profile details including work experience, education, skills, and more.
Coming Soon: New advanced filters are being developed, including:
- Recent job changes
- Years of experience
Headers
string
required
Your API key for authentication
Body Parameters
string
Main search keyword (name, position, skills, etc.)
string or array
Job title(s) to search for (e.g., “Software Engineer” or [“Software Engineer”, “Senior Developer”, “Tech Lead”])
string or array
Industry sector(s) (e.g., “technology” or [“technology”, “finance”, “healthcare”])
string or array
School(s) or university(ies) (e.g., “Stanford University” or [“Stanford University”, “MIT”, “Harvard”])
string or array
Location(s) (e.g., “San Francisco” or [“San Francisco”, “New York”, “Austin”])
string or array
Current company(ies) (e.g., “Google” or [“Google”, “Microsoft”, “Amazon”])
integer
default:"10"
Number of results to return
- Minimum: 1
- Maximum: 50,000
- Default: 10
At least one search criteria must be provided among:
keyword, job_title, industry, school, location, or current_company.Response
string
Response status (“success” or “error”)
object
string
Error message (if status = “error”)
Response Example
{
"status": "success",
"data": {
"total_results": 1523,
"profiles": [
{
"url": "https://www.linkedin.com/in/johnperez",
"title": "John M P. - CRM Experts Online - LinkedIn",
"description": "As the founder of CRM Experts Online, I leverage my 19+ years of experience in enterprise… · Experience: CRM Experts Online · Education: New York College Of ..."
},
{
"url": "https://www.linkedin.com/in/brentleary",
"title": "Brent Leary - CRM Essentials - LinkedIn",
"description": "Brent Leary is Co-founder and Partner of CRM Essentials LLC, a CRM consulting/advisory… · Experience: CRM Essentials · Location: Stockbridge · 500+ ..."
},
{
"url": "https://www.linkedin.com/in/jsrosenth",
"title": "Jeff Rosenthal - Head of CRM GTM, North America - monday.com",
"description": "I lead GTM for an emerging portfolio of CRM & AI products at monday.com. Deep expertise in CRM & AI GTM as a trusted advisor to global go to market, sales, ..."
}
]
}
}
Was this page helpful?